Name:           inadyn

Version:        1.96
Release: 	3%{?dist}

Summary:        Dynamic DNS Client

Group:          System Environment/Daemons
License:        GPL
URL:            http://inadyn.ina-tech.net
Source0:        http://inadyn.ina-tech.net/inadyn.v%{version}.zip
Source1:        inadyn.conf
Source2:        inadyn.init
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):  /sbin/chkconfig
Requires(post):  /sbin/service
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

%description
INADYN is a dynamic DNS client. It maintains the IP address of a
host name. It periodically checks wheather the IP address stored
by the DSN server is the real current address of the machine that
is running INADYN.

Before using inadyn for the first time you must use the DynDNS
provider's web interface to create the entry for the hostname. You
should then fill in /etc/inadyn.conf with the appropriate detail

%prep
%setup -q -n %name

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -m 0755 bin/linux/inadyn $RPM_BUILD_ROOT%{_sbindir}

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -p -m 0644 man/inadyn.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -p -m 0644 man/inadyn.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -p -m 0600 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
%{__perl} -pe \
 's|/var/|%{_localstatedir}/|g ; \
  s|/usr/sbin/|%{_sbindir}/|g ; \
  s|/etc/([^ir])|%{_sysconfdir}/$1|g ; \
  s|/etc/rc\.d/init\.d/|%{_initrddir}/|g' \
  <%{SOURCE2} >$RPM_BUILD_ROOT%{_initrddir}/inadyn

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add inadyn

%preun
if [ $1 -eq 0 ]; then
  /sbin/service inadyn stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del inadyn
fi

%postun
if [ $1 -ge 1 ]; then
  /sbin/service inadyn condrestart >/dev/null
fi

%files
%defattr(-,root,root,-)
%doc readme.html
%{_sbindir}/inadyn
%{_mandir}/man*/*
%attr(0755,root,root) %{_initrddir}/inadyn
%config %{_sysconfdir}/inadyn.conf

%changelog
* Sun Sep  3 2006 Jochen Schmitt <Jochen herr-schmitt de> 1.96-3
- Rebuilt for FC-6

* Sun Feb 12 2006 Jochen Schmitt <Jochen herr-schmitt de> 1.96-2
- Rebuilt for FC5

* Mon Oct 24 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.96-1
- New upstream relase

* Mon Aug 01 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.95-2
- Add suggested changes from Michael Schwendt

* Wed Jul 20 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.95-1
- New upstream release

* Tue May  3 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.90-11
- Move note from README.Fedora to %%description

* Tue May  3 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.90-9
- And special usage notes
- Use of /sbin/service to manage initscript in scriptlet
- Modify initscript, becouse bash don't return PID

* Thu Apr 28 2005 Jochen Schmitt <Jochen herr-schmitt.de> 1.90-8
- Replace ez_pid to ina_pid in initscript

* Wed Apr 27 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.90-7
- Enable status in initscript

* Wed Apr 27 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.90-6
- Add initscript

* Thu Apr 26 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.90-5
- Add URL to Source0

* Thu Apr 12 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.90-4
- Corrected use of percentage sign in changelog

* Mon Apr 11 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.90-3
- Some inprovements from Michael Schwendt

* Sun Apr 10 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.90-2
- Clearance in the %%Setup macro

* Thu Apr  7 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.90-1
- Initial RPM release
